### Method

# Atk Object set_description

#### Declaration [src]

    void
    atk_object_set_description (
      AtkObject* accessible,
      const gchar* description
    )

#### Description [src]

Sets the accessible description of the accessible. You can’t set the description to NULL. This is reserved for the initial value. In this aspect NULL is similar to ATK_ROLE_UNKNOWN. If you want to set the name to a empty value you can use “”.

#### Parameters

`description`

  Type: `const gchar*`

  A character string to be set as the accessible description.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.